Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
setting up ntlm_auth
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
cj.wijtmans
n00b
n00b


Joined: 14 Sep 2013
Posts: 4

PostPosted: Sat Sep 14, 2013 2:37 pm    Post subject: setting up ntlm_auth Reply with quote

Hi i am trying to launch the steam version of skyrim in wine which gives me this error.

Quote:
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.


So i compiled wine with samba and samba with winbind. However i still get the same error.

Code:
# equery u samba
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for net-fs/samba-3.6.18:
 U I
 - - acl           : Add support for Access Control Lists
 - - addns         : Enable AD DNS integration
 - - ads           : Enable Active Directory support
 - - aio           : Enable asynchronous IO support
 - - avahi         : Add avahi/Zeroconf support
 - - caps          : Use Linux capabilities library to control privilege
 - - client        : Enables the client part
 - - cluster       : Enable support for clustering
 - - cups          : Add support for CUPS (Common Unix Printing System)
 - - debug         : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful
                     backtraces see http://www.gentoo.org/proj/en/qa/backtraces.xml
 - - dmapi         : Enable support for DMAPI. This currently works only in combination with XFS.
 - - doc           : Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead
                     of globally
 - - examples      : Install examples, usually source code
 + + fam           : Enable FAM (File Alteration Monitor) support
 - - ldap          : Add LDAP support (Lightweight Directory Access Protocol)
 - - ldb           : Enable the ldb tools
 - - netapi        : Enable building of netapi bits
 + + pam           : Add support for PAM (Pluggable Authentication Modules) - DANGEROUS to arbitrarily flip
 - - quota         : Enables support for user quotas
 + + readline      : Enable support for libreadline, a GNU line-editing library that almost everyone wants
 - - server        : Enables the server part
 - - smbclient     : Enable smbclient tool
 - - smbsharemodes : Enable special smb share modes (?)
 - - swat          : Enables support for swat configuration gui
 - - syslog        : Enable support for syslog
 + + winbind       : Enables support for the winbind auth daemon


Code:
# equery u wine
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for app-emulation/wine-1.7.0:
 U I
 + + X                      : Add support for X11
 + + abi_x86_32             : 32-bit (x86) libraries
 + + abi_x86_64             : 64-bit (amd64) libraries
 + + alsa                   : Add support for media-libs/alsa-lib (Advanced Linux Sound Architecture)
 - - capi                   : Enable ISDN support via CAPI
 - - cups                   : Add support for CUPS (Common Unix Printing System)
 - - custom-cflags          : Bypass strip-flags; use are your own peril
 + + dos                    : Pull in games-emulation/dosbox to run DOS applications
 + + fontconfig             : Support for configuring and customizing font access via media-libs/fontconfig
 - - gecko                  : Add support for the Gecko engine when using iexplore
 - - gphoto2                : Add digital camera support
 - - gsm                    : Add support for the gsm lossy speech compression codec
 + + gstreamer              : Add support for media-libs/gstreamer (Streaming media)
 + + jpeg                   : Add JPEG image support
 + + lcms                   : Add lcms support (color management engine)
 - - ldap                   : Add LDAP support (Lightweight Directory Access Protocol)
 - - linguas_ar             : Arabic locale
 - - linguas_bg             : Bulgarian locale
 - - linguas_ca             : Catalan locale
 - - linguas_cs             : Czech locale
 - - linguas_da             : Danish locale
 - - linguas_de             : German locale
 - - linguas_el             : Greek locale
 - - linguas_en             : English locale
 - - linguas_en_US          : English locale
 - - linguas_eo             : Esperanto locale
 - - linguas_es             : Spanish locale
 - - linguas_fa             : Persian locale
 - - linguas_fi             : Finnish locale
 - - linguas_fr             : French locale
 - - linguas_he             : Hebrew locale
 - - linguas_hi             : Hindi locale
 - - linguas_hr             : Croatian locale
 - - linguas_hu             : Hungarian locale
 - - linguas_it             : Italian locale
 - - linguas_ja             : Japanese locale
 - - linguas_ko             : Korean locale
 - - linguas_lt             : Lithuanian locale
 - - linguas_ml             : Malayalam locale
 - - linguas_nb_NO          : Norwegian (Bokmal) locale for Norway
 - - linguas_nl             : Dutch locale
 - - linguas_or             : Oriya locale
 - - linguas_pa             : Punjabi locale for India
 - - linguas_pl             : Polish locale
 - - linguas_pt_BR          : Portuguese locale for Brasil
 - - linguas_pt_PT          : Portuguese locale for Portugal
 - - linguas_rm             : Romansh locale
 - - linguas_ro             : Romanian locale
 - - linguas_ru             : Russian locale
 - - linguas_sk             : Slovak locale
 - - linguas_sl             : Slovenian locale
 - - linguas_sr_RS@cyrillic : Serbian (cyrillic) locale for Serbia
 - - linguas_sr_RS@latin    : Serbian (latin) locale for Serbia
 - - linguas_sv             : Swedish locale
 - - linguas_te             : Telugu locale
 - - linguas_th             : Thai locale
 - - linguas_tr             : Turkish locale
 - - linguas_uk             : Ukrainian locale
 - - linguas_wa             : Walloon locale
 - - linguas_zh_CN          : Chinese locale for Peoples Republic of China
 - - linguas_zh_TW          : Chinese locale for Taiwan
 + + mono                   : Add support for .NET using Wine's Mono add-on
 - - mp3                    : Add support for reading mp3 files
 + + ncurses                : Add ncurses support (console display library)
 - - nls                    : Add Native Language Support (using gettext - GNU locale utilities)
 - - odbc                   : Add ODBC Support (Open DataBase Connectivity)
 - - openal                 : Add support for the Open Audio Library
 + + opencl                 : Enable OpenCL support
 + + opengl                 : Add support for OpenGL (3D graphics)
 - - osmesa                 : Add support for OpenGL in bitmaps using libOSMesa
 - - oss                    : Add support for OSS (Open Sound System)
 - - perl                   : Install helpers written in perl (winedump/winemaker)
 + + png                    : Add support for libpng (PNG images)
 - - prelink                : Run prelink on DLLs during build -- do not disable if you do not know what this
                              means as it can break things at runtime
 - - pulseaudio             : Add support for PulseAudio sound server
 + + run-exes               : Use Wine to open and run .EXE and .MSI files
 + + samba                  : Add support for NTLM auth. see http://wiki.winehq.org/NtlmAuthSetupGuide and
                              http://wiki.winehq.org/NtlmSigningAndSealing
 - - scanner                : Add support for scanner hardware (e.g. build the sane frontend in kdegraphics)
 + + ssl                    : Add support for Secure Socket Layer connections
 - - test                   : Workaround to pull in packages needed to run with FEATURES=test. Portage-2.1.2
                              handles this internally, so don't set it in make.conf/package.use anymore
 + + threads                : Add threads support for various packages. Usually pthreads
 + + truetype               : Add support for FreeType and/or FreeType2 fonts
 + + udisks                 : Support dynamic storage devices using sys-fs/udisks
 - - v4l                    : Enable support for video4linux (using linux-headers or userspace libv4l libraries)
 - - xcomposite             : Enable support for the Xorg composite extension
 - - xinerama               : Add support for the xinerama X11 extension, which is mandatory if you work in
                              multiple monitors setup
 + + xml                    : Add support for XML files
Back to top
View user's profile Send private message
vaxbrat
Guru
Guru


Joined: 05 Oct 2005
Posts: 578
Location: DC Burbs

PostPosted: Sun Sep 22, 2013 2:18 am    Post subject: Does this really kill wine? Reply with quote

I can't imagine that this would matter for steam since I doubt that they would be using windows servers on their end to handle authentication. This is especially so since the module you are erroring on is ntlm and not even ntlmv2. The old lanman scheme is what was used in windows 95 and earlier generation machines and is easily cracked in the matter of minutes by brute force attacks. Are you sure that your wine is dying on this and not on something else?

Are you otherwise using samba to share between your gaming rig and windows boxes?
Back to top
View user's profile Send private message
BobWya
n00b
n00b


Joined: 12 Aug 2012
Posts: 38
Location: Cambridge,UK

PostPosted: Fri Oct 11, 2013 10:59 am    Post subject: Re: setting up ntlm_auth Reply with quote

cj.wijtmans wrote:
Hi i am trying to launch the steam version of skyrim in wine which gives me this error.

Quote:
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.



Having read this part of the WineHQ Wiki... I now build Wine with the Samba USE flag disabled... It's pretty useless for most Desktop Gentoo users really...

In fact I'm going to be stripping out the misinformation I've put on some WineHQ AppDB FAQ's about this subject.

So in summary - just ignore this Wine err message - it's not a show stopper. It is only required for supporting NTLM authorisation (e.g. typically when trying to run MS products like Outlook under Wine, etc.)

Bob
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum